/* 
*  Equivalently, the counts arranged in a two-way table can be input 
*  with the following DATA step:
===================================================================== */
data a;
  array team {20} y1-y20;
  do i=1 to 20; team{i}=0; end;
  array x {20} x1-x20;
  input x1-x20;
  y=1;
  keep y count y1-y20;
  do i=1 to 20;
     team{_n_}=1;
     team{i}=-1; count=x{i};
     if _n_ ne i then output;
     team{i}=0;
  end;
  cards;
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   2   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   1   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   1   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   6   0   8   0   3   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   7   0   0   0   0   0   0   0
  0   0   0   1   0   0   0   0   0  10   0  34   0   1   0   1   0   1   0   0
  0   0   0   0   0   0   0   1   0   0   1   1   8   0   1   0   0   1   0   0
  0   0   0   0   0   0   0   0   0   0   0   3   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   1   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
  0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
;

/* 
* Fit the Bradley-Terry model 
===================================================================== */
proc logistic;
  freq count;
  model y=y1-y20 / noint;
  output out=out p=p;
  run;

/* 
* Show the preference probability estimates
===================================================================== */
proc print; 
  run;
